#
# Conditional build:
%bcond_without	static_libs	# static library
%bcond_with	tests		# don't perform "make check"

Summary:	Portable NaCl-based crypto library
Summary(pl.UTF-8):	Przenośna biblioteka kryptograficzna oparta na NaCl
Name:		libsodium
Version:	1.0.19
Release:	1%{?tld}
License:	BSD
Group:		Libraries
Source0:	https://download.libsodium.org/libsodium/releases/%{name}-%{version}.tar.gz
# Source0-md5:	0d8e2233fc41be6d4c7ee36d5dfe9416
URL:		https://libsodium.org/
BuildRequires:	pkgconfig >= 1:0.25
BuildRequires:	rpmbuild(macros) >= 1.527
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NaCl (<http://nacl.cr.yp.to/>, pronounced "salt") is a new
easy-to-use high-speed software library for network communication,
encryption, decryption, signatures, etc.

NaCl's goal is to provide all of the core operations needed to build
higher-level cryptographic tools.

Sodium is a portable, cross-compilable, installable, packageable fork
of NaCl, with a compatible API.

%description -l pl.UTF-8
NaCl (<http://nacl.cr.yp.to/>, wymawiane jako "sól") to nowa szybka,
łatwa w użyciu biblioteka do komunikacji sieciowej, szyfrowania,
odszyfrowywania, podpisów itp.

Celem NaCl jest zapewnienie wszystkich głównych operacji niezbędnych
do tworzenia narzędzi kryptograficznych wyższego poziomu.

Sodium to przenośne, instalowalne i pakietowalne odgałęzienie NaCl ze
zgodnym API.

%package devel
Summary:	Header files for libsodium library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libsodium
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libsodium library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libsodium.

%package static
Summary:	Static libsodium library
Summary(pl.UTF-8):	Statyczna biblioteka libsodium
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libsodium library.

%description static -l pl.UTF-8
Statyczna biblioteka libsodium.

%prep
%setup -q -n %{name}-stable

%build
%configure \
	--disable-silent-rules \
	%{__enable_disable static_libs static}

%{__make}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libsodium.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog LICENSE README.markdown THANKS
%attr(755,root,root) %{_libdir}/libsodium.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsodium.so.26

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsodium.so
%{_includedir}/sodium.h
%{_includedir}/sodium
%{_pkgconfigdir}/libsodium.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libsodium.a
%endif
%changelog
* Tue Apr 02 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libsodium.git;a=log;h=master

* Sun Nov 26 2023 Jan Palus <atler@pld-linux.org> 4744c9b
- don't force gold in CFLAGS anymore

* Sun Nov 26 2023 Jan Palus <atler@pld-linux.org> 22958b9
- add static_libs bcond

* Mon Oct 30 2023 Jakub Bogusz <qboosh@pld-linux.org> 6dc74e4
- updated to 1.0.19 (new soname)

* Sun Jul 28 2019 Jakub Bogusz <qboosh@pld-linux.org> 4c1e972
- updated to 1.0.18

* Fri Apr 12 2019 Jakub Bogusz <qboosh@pld-linux.org> 24cf6ef
- updated to 1.0.17

* Sat Mar 03 2018 Adam Osuchowski <adwol@pld-linux.org> 20a16ed
- URL fix

* Mon Dec 25 2017 Jakub Bogusz <qboosh@pld-linux.org> 27cd076
- updated to 1.0.16 (note: new soname)

* Thu Jul 20 2017 Jakub Bogusz <qboosh@pld-linux.org> a3ca208
- updated to 1.0.13

* Thu Jun 08 2017 mis <mistoo@gmail.com> 559b889
- up to 1.0.12

* Sat Dec 03 2016 Jakub Bogusz <qboosh@pld-linux.org> 387a8d4
- updated to 1.0.11

* Thu Jan 28 2016 Elan Ruusamäe <glen@delfi.ee> e17a3fb
- up to 1.0.8

* Sun Dec 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 21048f5
- updated to 1.0.7 (note: new soname)

* Thu Jul 02 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 3715f7f
- up to 1.0.3

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 26b4699
- x32 rebuild
- release 2 (by relup.sh)

* Fri Jan 16 2015 Jakub Bogusz <qboosh@pld-linux.org> 2b1e8bc
- updated to 1.0.2 (note: new soname)

* Sat Jul 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 1ba9c5a
- updated to 0.6.1

* Thu Jul 03 2014 Jakub Bogusz <qboosh@pld-linux.org> e68ad45
- updated to 0.6.0

* Sun Jun 22 2014 Jakub Bogusz <qboosh@pld-linux.org> 4188b03
- updated to 0.5.0

* Sun Nov 03 2013 Jakub Bogusz <qboosh@pld-linux.org> 05a81f1
- new

